--- title: "Get autocomplete" slug: "analytics-cloudsearch-getautocomplete" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getautocomplete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get autocomplete **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Gets autocomplete sections and indexes in a domain. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/autocomplete ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | ## Response ### Response Body | Field | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | indexName | Y | string | | Name of the index for which autocomplete is enabled | | sectionName | Y | string | | Name of the section for which autocomplete is enabled | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` GET /CloudSearch/real/v1/domain/car_beta/autocomplete HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi ``` ### Request Example ``` { "indexName": "brand_name", "sectionName": "" } ```